System 2.0.0.0 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.String> System.Collections.Generic.IEnumerable<System.String>

The property returns instances of this collection.

Represents the collection used to store Uniform Resource Identifier (URI) prefixes for objects.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method adds a URI prefix to the set of prefixes managed by the associated object. When checking to ensure it is valid, case is ignored.

  A URI prefix string is composed of a scheme (http or https), a host, an optional port, and an optional path, for example, "http://www.contoso.com:8080/customerData/". The prefix must be terminated with a forward slash ("/"). The with the prefix that most closely matches a requested URI responds to the request. Multiple objects cannot add the same prefix. An exception is thrown if an adds a prefix that is already in use.

  When a port is specified, the host element can be replaced with "*" to indicate that the accepts requests sent to the port if the requested URI does not match any other prefix. For example, to receive all requests sent to port 8080 when the requested URI is not handled by any other , the prefix is "http://*:8080/". Similarly, to specify that the accepts all requests sent to a port, replace the host element with the "+" character, "https://+:8080/". The "*" and "+" characters can be present in prefixes that include paths.

  Adds a Uniform Resource Identifier (URI) prefix to the collection.

  A that identifies the URI information that is compared in incoming requests. The prefix must be terminated with a forward slash ("/").
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  After calling this method, you cannot start the associated without adding new prefixes; if you try to do so, an exception is thrown.

  Removes all the Uniform Resource Identifier (URI) prefixes from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The specified prefix must exactly match an existing value.

  Returns a value that indicates whether the specified prefix is contained in the collection.

  true if this collection contains the prefix specified by ; otherwise, false.

  A that contains the Uniform Resource Identifier (URI) prefix to test.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The array must be able to contain strings and cannot be multidimensional.

  Copies the contents of an to the specified array.

  The one dimensional that receives the Uniform Resource Identifier (URI) prefix strings in this collection. The zero-based index in at which copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The array must be able to contain strings and cannot be multidimensional.

  Copies the contents of an to the specified string array.

  The one dimensional string array that receives the Uniform Resource Identifier (URI) prefix strings in this collection. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of prefixes contained in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.String>

  The object that is returned by this method is initially positioned before the first element in this collection. You must call the method before you can access the first element. To access the element at the current position, call the property.

  Do not modify the collection while using the enumerator. If the collection is modified while an enumerator is in use, an attempt to set the position by calling or causes an .

  For a detailed description of enumerators, see the documentation for the class and the method.

  Returns an object that can be used to iterate through the collection.

  An object that implements the interface and provides access to the strings in this collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to the collection is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Enumerating through a collection is intrinsically not a thread-safe procedure. Even when a collection is synchronized, other threads can still modify the collection, which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the collection during the entire enumeration or catch the exceptions that result from changes made by other threads.

  Gets a value that indicates whether access to the collection is synchronized (thread-safe).

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  If is not in the collection, this method does nothing.

  Removes the specified Uniform Resource Identifier (URI) from the list of prefixes handled by the object.

  true if the was found in the and removed; otherwise false.

  A that contains the URI prefix to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The object that is returned by this method is initially positioned before the first element in this collection. You must call the method before you can access the first element. To access the element at the current position, call the property.

  Do not modify the collection while using the enumerator. If the collection is modified while an enumerator is in use, an attempt to set the position by calling or causes an .

  For a detailed description of enumerators, see the documentation for the class and the method.

  Returns an object that can be used to iterate through the collection.

  An object that implements the interface and provides access to the strings in this collection.